libssh2_sftp_write(3)

NAME
libssh2_sftp_write - write SFTP data

SYNOPSIS
#include <libssh2.h> #include <libssh2_sftp.h> ssize_t libssh2_sftp_write(LIBSSH2_SFTP_HANDLE *handle, const char *buffer, size_t count);

DESCRIPTION
handle - SFTP file handle as returned by libssh2_sftp_open_ex(3). buffer - points to the data to send off count - Number of bytes from 'buffer' to write. Note that it may not be possible to write all bytes as requested. libssh2_sftp_write(3) writes a block of data to the SFTP server. This method is modeled after the POSIX write() function and uses the same calling semantics.

RETURN VALUE
Actual number of bytes written or negative on failure. If used in non-blocking mode, it returns LIBSSH2_ERROR_EAGAIN when it would otherwise block. While LIBSSH2_ERROR_EAGAIN is a negative number, it isn't really a failure per se. If this function returns 0 (zero) it should not be considered an error, but simply that there was no error but yet no payload data got sent to the other end.

ERRORS
LIBSSH2_ERROR_ALLOC - An internal memory allocation call failed. LIBSSH2_ERROR_SOCKET_SEND - Unable to send data on socket. LIBSSH2_ERROR_SOCKET_TIMEOUT - LIBSSH2_ERROR_SFTP_PROTOCOL - An invalid SFTP protocol response was received on the socket, or an SFTP operation caused an errorcode to be returned by the server.

SEE ALSO
libssh2_sftp_open_ex(3)